G5 graphics Dilemma

Discussion in 'PowerPC Macs' started by sMAChead, Mar 22, 2010.

  1. sMAChead macrumors newbie

    Joined:
    Mar 13, 2010
    #1
    I have a Power Mac G5 Quad 216L PCI-X, and i have been fooling around with the idea to put a new graphics card in my machine. Just for the purpose of playing the game Heroes of Newerth. the Requirements of the game are:

    OS X

    Minimum:
    Processor - Intel Processor
    RAM - 1GB of RAM
    Video Card - 128MB fully OpenGL 2.0 / GLSL 1.20 compliant Geforce or Radeon
    OS X 10.4 or newer
    Network Connection Required

    Recommended:
    Processor - 2.0GHz Core 2 Duo or faster
    RAM - 1.5GB or higher
    Video Card - 256MB Geforce 7800+ or Radeon X1900+
    Network Connection Required (Broadband)

    Supported video cards:
    OS X 10.4: Geforce 8600, Radeon HD 2400 or higher
    OS X 10.5: Geforce 7300, Quardo FX 4500, Radeon X1600 or higher
    Note: Integrated Intel GMA 950/X3100 is not supported


    but i have been reading some posts on this forum earlier and read that some of the newer graphics cards won't function as well as some earlier models? Could any one suggest a good all around card that can support this? im afraid im gonna buy something that wont work lol :confused:
     
  2. rickvanr macrumors 68040

    rickvanr

    Joined:
    Apr 10, 2002
    Location:
    Brockville
    #2
    You need more then a graphics card, you need a new computer

    Read the specs carefully. Game appears to be Intel only.
     
  3. sMAChead thread starter macrumors newbie

    Joined:
    Mar 13, 2010
    #3
    well its installed right now on my computer, it works, the graphics just lag every once in awhile.
     
  4. rickvanr macrumors 68040

    rickvanr

    Joined:
    Apr 10, 2002
    Location:
    Brockville
    #4
    I'm perplexed.

    What kind of computer do you have? G5 Quads, didn't have PCI-X, they had PCIe(xpress)

    All the other G5's had 8x AGP
     
  5. OrangeSVTguy macrumors 601

    OrangeSVTguy

    Joined:
    Sep 16, 2007
    Location:
    Northeastern Ohio
    #5
    There's your problem right there, unless the game is universal binary? What is the graphics card that you have installed in there now?
     
  6. noiceT macrumors 6502a

    Joined:
    Jul 7, 2008
    Location:
    Catalina Wine Mixer
    #6

    I don't know about quads, but my G5 dual core is PCI-X.
    And to the OP, I don't think its you're vid card, it's def your processor.

    Regardless if it installs successfully, if the minimum req is an intel processor, you def need one. That's like trying to stream HD content or playing h.264 vids on ppc...it works, but just not very well.
     
  7. OrangeSVTguy macrumors 601

    OrangeSVTguy

    Joined:
    Sep 16, 2007
    Location:
    Northeastern Ohio
    #7
    All dual-core or late-'05 G5s had PCI-express. You probably have a dual-processor model which had AGP graphics and PCI or PCI-X expansion slots. PCI-e ≠ PCI-X.

    It won't install on a G5 at all if it's Intel only. The icon will have a circle and slash through it.
     
  8. noiceT macrumors 6502a

    Joined:
    Jul 7, 2008
    Location:
    Catalina Wine Mixer
    #8
    Yup..you are correct ^^"
    I think we have too many G4s and G5s here at work...lol.
     

Share This Page